MongoGridFS::remove
MongoGridFS::storeFile
MongoGridFS
PHP Manual

# MongoGridFS::storeBytes

(PECL mongo >=0.9.2)

MongoGridFS::storeBytes — Stores a string of bytes in the database

### Description

public mixed MongoGridFS::storeBytes ( string `$bytes` [, array `$metadata` = array() [, array `$options` = array() ]] )

### Parameters

`bytes`

  String of bytes to store.

`metadata`

  Other metadata fields to include in the file document.

  > Note:

  > These fields may also overwrite those that would be created automatically by the driver, as described in the MongoDB core documentation for the » files collection. Some practical use cases for this behavior would be to specify a custom chunkSize or _id for the file.

`options`

  Options for the store.

  - "w"

    See WriteConcerns. The default value for MongoClient is 1.

### Return Values

Returns the _id of the saved file document. This will be a generated MongoId unless an _id was explicitly specified in the `extra` parameter.

### Errors/Exceptions

Throws MongoCursorException if the "w" option is set and the write fails.

Throws MongoCursorTimeoutException if the "w" option is set to a value greater than one and the operation takes longer than MongoCursor::$timeout milliseconds to complete. This does not kill the operation on the server, it is a client-side timeout. The operation in MongoCollection::$wtimeout is milliseconds.

### Examples

Example #1 MongoGridFS::storeBytes() with additional metadata

`<?php
$m = new MongoClient();
$gridfs = $m->selectDB('test')->getGridFS();
$bytes = 'abcdefghijklmnopqrstuvwxyz';
$id = $gridfs->storeBytes($bytes, array('_id' => 'alphabet'));
$gridfsFile = $gridfs->get($id);
var_dump($gridfsFile->file);
?>`

The above example will output something similar to:

    array(7) {
      ["_id"]=>
      string(8) "alphabet"
      ["uploadDate"]=>
      object(MongoDate)#7 (0) {
      }
      ["length"]=>
      int(26)
      ["chunkSize"]=>
      int(262144)
      ["md5"]=>
      string(32) "c3fcd3d76192e4007dfb496cca67e13b"
    }

### See Also

- MongoGridFS::put() - Stores a file in the database
- MongoGridFS::storeFile() - Stores a file in the database
- MongoGridFS::storeUpload() - Stores an uploaded file in the database
- MongoDB core docs on » GridFS

MongoGridFS::remove
MongoGridFS::storeFile
MongoGridFS
PHP Manual